## org.eclipse.datatools.connectivity.oda.flatfile.util
Class DateFormatISO8601

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.flatfile.util.DateFormatISO8601

    public class DateFormatISO8601

extends java.lang.Object

DateFormatISO8601 is a utility class for formatting and parsing dates according to date format defined by ISO8601.

Constructor Summary
`DateFormatISO8601()`

Method Summary
`static java.util.Date` `parse(java.lang.String source)` Parse a date/time string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateFormatISO8601

    public DateFormatISO8601()

Method Detail

### parse

    public static java.util.Date parse(java.lang.String source)
                                throws java.text.ParseException,
                                       java.text.ParseException

  Parse a date/time string.

  Parameters:
    `source` -
  Returns:
  Throws:
    `java.text.ParseException`